%global _empty_manifest_terminate_build 0
Name:           python-aiosignal
Version:        1.3.1
Release:        1
Summary:        aiosignal: a list of registered asynchronous callbacks
License:        Apache-2.0
URL:            https://github.com/aio-libs/aiosignal
Source0:        https://files.pythonhosted.org/packages/ae/67/0952ed97a9793b4958e5736f6d2b346b414a2cd63e82d05940032f45b32f/aiosignal-1.3.1.tar.gz
BuildArch:      noarch

Requires:       python3-frozenlist

%description
A project to manage callbacks in asyncio projects.
Signal is a list of registered asynchronous callbacks.


%package -n python3-aiosignal
Summary:        aiosignal: a list of registered asynchronous callbacks
Provides:       python-aiosignal
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%description -n python3-aiosignal
A project to manage callbacks in asyncio projects.
Signal is a list of registered asynchronous callbacks.


%package help
Summary:        Development documents and examples for aiosignal
Provides:       python3-aiosignal-doc
%description help
Development documents and examples for aiosignal


%prep
%autosetup -n aiosignal-1.3.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
        find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
        find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
        find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
        find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
        find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-aiosignal -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jan 06 2023 xuesinian <xuesinian@huawei.com> - 1.3.1-1
- Package init
